fluto_plugin_platform_interface 0.1.2 copy "fluto_plugin_platform_interface: ^0.1.2" to clipboard
fluto_plugin_platform_interface: ^0.1.2 copied to clipboard

A interface package of Fluto to create your own custom plugin.

fluto_plugin_platform_interface #

This package provides a base class for fluto plugins.

Fluto Plugins implementations should extend this abstract classes Pluggable rather than implement it as newly. Extending a platform interface ensures that subclasses will get the default implementations from the base class.

Sample usage: #

class FlutoSharedPreferencesViewerPlugin extends Pluggable {
  FlutoSharedPreferencesViewerPlugin({required super.devIdentifier});

  @override
  PluginConfiguration get pluginConfiguration => PluginConfiguration(
        icon: Icons.data_object,
        name: "Shared Preferences Viewer",
      );

  @override
  Navigation get navigation => Navigation.byScreen(
        globalNavigatorKey: globalNavigatorKey,
        screen: const SharedPreferencesView(),
      );
}

The class which extends Pluggable can be added as a Fluto Plugin.

Issues #

Please file any issues, bugs or feature requests as an issue on our GitHub page. Commercial support is available, you can contact us at shashankgupta3891@gmail.com.

Want to contribute #

If you would like to contribute to the plugin (e.g. by improving the documentation, solving a bug or adding a cool new feature), please send us your pull request.

Author #

This Geolocator plugin for Flutter is developed by Shashank Gupta.

1
likes
100
pub points
37%
popularity

Publisher

unverified uploader

A interface package of Fluto to create your own custom plugin.

Repository (GitHub)
View/report issues

Documentation

API reference

License

BSD-3-Clause (LICENSE)

Dependencies

flutter

More

Packages that depend on fluto_plugin_platform_interface